<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<groupId>com.ablewise.testing</groupId>
	<artifactId>chrome</artifactId>
	<version>0.0.1-SNAPSHOT</version>
	<packaging>jar</packaging>

	<name>oney-ablewise-chrome</name>
	<url>https://gitlab.com/qa.ablewise/oney-ablewise-chrome.git</url>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<maven.compiler.source>1.8</maven.compiler.source>
		<maven.compiler.target>1.8</maven.compiler.target>
		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
	</properties>


	<dependencies>
		<!-- Selenium -->
		<dependency>
			<groupId>org.seleniumhq.selenium</groupId>
			<artifactId>selenium-java</artifactId>
			<version>3.7.1</version>
		</dependency>
		
		<!-- JUnit -->
		 <dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.13.2</version>
			 <scope>test</scope>
		</dependency>
		
		<!-- https://mvnrepository.com/artifact/org.junit.jupiter/junit-jupiter-api -->
		<dependency>
		    <groupId>org.junit.jupiter</groupId>
		    <artifactId>junit-jupiter-api</artifactId>
		    <version>5.8.0</version>
		    <scope>test</scope>
		</dependency>
		
		
		<!-- Cucumber Java -->
		<dependency>
			<groupId>info.cukes</groupId>
			<artifactId>cucumber-java</artifactId>
			<version>1.2.5</version>
		</dependency>
		<dependency>
		    <groupId>info.cukes</groupId>
		    <artifactId>cucumber-picocontainer</artifactId>
		    <version>1.2.5</version>
		    <scope>test</scope>
		</dependency>
		<dependency>
    		<groupId>com.google.code.gson</groupId>
    		<artifactId>gson</artifactId>
    		<version>2.8.8</version>
		</dependency>
		
		<!-- https://mvnrepository.com/artifact/org.json/json -->
		<dependency>
		    <groupId>org.json</groupId>
		    <artifactId>json</artifactId>
		    <version>20210307</version>
		</dependency>
	<!-- Cucumber JVM -->
		<dependency>
			<groupId>info.cukes</groupId>
			<artifactId>cucumber-jvm-deps</artifactId>
			<version>1.0.5</version>
			<scope>provided</scope>
		</dependency>
		
		<!-- Cucumber JUnit -->
		 <dependency>
			<groupId>info.cukes</groupId>
			<artifactId>cucumber-junit</artifactId>
			<version>1.2.5</version>
		</dependency> 
		
		<dependency>
		    <groupId>io.github.millij</groupId>
		    <artifactId>poi-object-mapper</artifactId>
		    <version>1.0.0</version>
		</dependency>
  
   
		<!-- Commons InputStream OutputStream, for reading, writing and copying -->
		<dependency>
			<groupId>commons-io</groupId>
			<artifactId>commons-io</artifactId>
			<version>2.4</version>
		</dependency>

		
		<!--  Sikuli API 
		<dependency>
		    <groupId>com.sikulix</groupId>
		    <artifactId>sikulixapi</artifactId>
		    <version>1.1.0</version>
		</dependency> -->
		
		<!-- JSON -->
		<dependency>
			<groupId>com.googlecode.json-simple</groupId>
			<artifactId>json-simple</artifactId>
			<version>1.1.1</version>
		</dependency>
		
		<!-- https://mvnrepository.com/artifact/org.apache.pdfbox/pdfbox -->
		<dependency>
		    <groupId>org.apache.pdfbox</groupId>
		    <artifactId>pdfbox</artifactId>
		    <version>2.0.21</version>
		</dependency>

		<!-- https://mvnrepository.com/artifact/com.applitools/eyes-selenium-java3 -->
		<dependency>
		    <groupId>com.applitools</groupId>
		    <artifactId>eyes-selenium-java3</artifactId>
		    <version>3.181.0</version>
		</dependency>
		
		<!-- POI -->
		<!-- dependency used for XLSX file format -->
		<dependency>
			<groupId>org.apache.poi</groupId>
			<artifactId>poi-ooxml</artifactId>
			<version>3.17</version>
		</dependency>

		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-lang3</artifactId>
			<version>3.9</version>
		</dependency>
		
		<dependency> 
    		<groupId>com.opencsv</groupId> 
    		<artifactId>opencsv</artifactId> 
    		<version>5.5.1</version> 
		</dependency> 
		<dependency> 
			<groupId>com.googlecode.jcsv</groupId> 
			<artifactId>jcsv</artifactId> 
			<version>1.4.0</version> 
		</dependency>
		
		<dependency>
    		<groupId>org.apache.commons</groupId>
    		<artifactId>commons-csv</artifactId>
    		<version>1.8</version>
		</dependency>
		
		<dependency>
        	<groupId>net.sourceforge.javacsv</groupId>
        	<artifactId>javacsv</artifactId>
        	<version>2.0</version>
		</dependency>

		<!-- dependency used for XLS older file format (added for information) -->
		<dependency>
			<groupId>org.apache.poi</groupId>
			<artifactId>poi</artifactId>
			<version>3.17</version>
		</dependency>
	</dependencies>

	<build>
		<!--  <plugins> <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-surefire-plugin</artifactId>
        <version>3.0.0-M5</version> -->
  		
     <!--  </plugin>
         </plugins >  --> 
	</build>

	<organization>
		<name>Oney and Ablewise Consulting</name>
		<url>https://www.oney.pt</url>
	</organization>
	
	<contributors>
	<contributor>
      <name>Luis Nelas</name>
      <email>luis.nelas@ablewise.pt</email>
      <url>https://www.linkedin.com/in/luís-nelas-4596b86/</url>
      <organization>Ablewise Consulting</organization>
      <roles>
        <role>QA Team Leader</role>
      </roles>
    </contributor>
    <contributor>
      <name>André Guerra</name>
      <url>https://www.linkedin.com/in/andrefgfrancisco/</url>
      <organization>Ablewise Consulting</organization>
      <roles>
        <role>Automation Tester</role>
      </roles>
    </contributor>
    </contributors>
    
   <developers>
    <developer>
      <id>amanda.matheus</id>
      <name>Amanda Matheus</name>
      <email>amatheus.ssa@gmail.com</email>
      <url>https://www.linkedin.com/in/amanda-matheus-57850712/</url>
      <organization>Ablewise Consulting</organization>
      <roles>
        <role>engineer</role>
        <role>architect</role>
        <role>developer</role>
      </roles>
    </developer>
    <developer>
      <id>willian.arruda</id>
      <name>Willian Arruda</name>
      <email>willian.arruda@ablewise.pt</email>
      <organization>Ablewise Consulting</organization>
      <roles>
        <role>architect</role>
        <role>developer</role>
      </roles>
     </developer>
    </developers>
  
	<scm>
		<url>https://gitlab.com/qa.ablewise/oney-ablewise-chrome.git</url>
		<connection>GitLab</connection>
		<tag>HEAD</tag>
	</scm>
	<ciManagement>
		<url>https://www.jenkins.io</url>
		<system>Jenkins</system>
	</ciManagement>
	<issueManagement>
		<system>Jira</system>
		<url>https://oneyfactory.atlassian.net/issues/</url>
	</issueManagement>
	<inceptionYear>2019</inceptionYear>
	<description>Automation project to run functional tests of Oney 3x4x Product.</description>
</project>
